Page MenuHomePhabricator

1.40.0-wmf.21 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
brennen
Release Version
1.40.0-wmf.21
Release Date
Mon, Jan 30, 12:00 AM

2023 week 05 1.40-wmf.21 Changes wmf/1.40.0-wmf.21

This MediaWiki Train Deployment is scheduled for the week of Monday, January 30th:

Monday January 30thTuesday, January 31stWednesday, February 1stThursday, February 2ndFriday
Backports only.Branch wmf.21 and deploy to Group 0 Wikis.Deploy wmf.21 to Group 1 Wikis.Deploy wmf.21 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.21 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.20
Next: 1.40.0-wmf.22

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: brennen.
thcipriani set the point value for this task to 5.

Change 885010 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.21] Branch commit for wmf/1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885010

Change 885010 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.21] Branch commit for wmf/1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885010

Change 885068 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885068

Change 885068 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885068

Mentioned in SAL (#wikimedia-operations) [2023-01-31T04:02:30Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.21 refs T325584

Mentioned in SAL (#wikimedia-operations) [2023-01-31T04:55:26Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.21 refs T325584 (duration: 52m 56s)

Change 885406 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885406

Change 885406 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885406

Mentioned in SAL (#wikimedia-operations) [2023-01-31T19:12:05Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.21 refs T325584

Change 885862 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885862

Change 885862 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885862

Mentioned in SAL (#wikimedia-operations) [2023-02-01T19:29:33Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.21 refs T325584

Mentioned in SAL (#wikimedia-operations) [2023-02-01T19:33:12Z] <dancy@deploy1002> sync-file aborted: group1 wikis to 1.40.0-wmf.21 refs T325584 (duration: 03m 38s)

Change 885868 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/885868

Change 885868 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.20

https://gerrit.wikimedia.org/r/885868

Mentioned in SAL (#wikimedia-operations) [2023-02-01T19:42:46Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.20 refs T325584

Mentioned in SAL (#wikimedia-operations) [2023-02-01T19:49:23Z] <dancy@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.20 refs T325584 (duration: 06m 36s)

Change 885905 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885905

Change 885905 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/885905

Mentioned in SAL (#wikimedia-operations) [2023-02-01T23:10:37Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.21 refs T325584

Mentioned in SAL (#wikimedia-operations) [2023-02-01T23:17:34Z] <dancy@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.21 refs T325584 (duration: 06m 57s)

Change 886142 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group2 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/886142

Change 886142 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.40.0-wmf.21

https://gerrit.wikimedia.org/r/886142

Mentioned in SAL (#wikimedia-operations) [2023-02-02T19:30:26Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.40.0-wmf.21 refs T325584